namespace IRaCIS.Core.Domain.Models;



[Comment("后台 - 系统文档签署记录")]
[Table("SystemDocConfirmedIdentityUser")]
public class SystemDocConfirmedIdentityUser : BaseAddDeleteAuditEntity

{
    #region 导航属性
    [JsonIgnore]
    public SystemDocument SystemDocument { get; set; }

    [JsonIgnore]
    [ForeignKey("ConfirmUserId")]
    public IdentityUser ConfirmUser { get; set; }
    #endregion
    public Guid SystemDocumentId { get; set; }

    public DateTime? ConfirmTime { get; set; }
    public Guid ConfirmUserId { get; set; }

    public DateTime? SignFirstViewTime { get; set; }

    [StringLength(1000)]
    public string SignText { get; set; } = string.Empty;
}

